import { Logger } from '@nldoc/logger';
import { IRemoteFileStorage } from './IRemoteFileStorage.js';
import { WorkerJob } from './WorkerJob.js';
import { WorkerMessageHandlerResult } from './WorkerResult.js';
export type WorkerMessageHandlerInput = {
    logger: Logger;
    job: WorkerJob;
    jobId: string;
    storage: IRemoteFileStorage;
};
export type WorkerMessageHandler = (input: WorkerMessageHandlerInput) => Promise<WorkerMessageHandlerResult>;
