export class WorkerError extends Error {
    constructor(message, originalError) {
        super(message);
        Object.setPrototypeOf(this, new.target.prototype);
        this.name = new.target.name;
        this.originalError = originalError;
    }
}
export class InvalidJob extends WorkerError {
}
export class InvalidWorkerScout extends WorkerError {
}
export class ConnectionError extends WorkerError {
}
export class ExternalFileStorageNotReadyError extends WorkerError {
}
//# sourceMappingURL=errors.js.map