import z from 'zod';
var WorkerAvailabilityStatusEnum;
(function (WorkerAvailabilityStatusEnum) {
    WorkerAvailabilityStatusEnum["Active"] = "active";
    WorkerAvailabilityStatusEnum["Interrupted"] = "interrupted";
    WorkerAvailabilityStatusEnum["Stopped"] = "stopped";
})(WorkerAvailabilityStatusEnum || (WorkerAvailabilityStatusEnum = {}));
export const WorkerAvailabilityStatus = z.nativeEnum(WorkerAvailabilityStatusEnum);
export const WorkerAvailability = z.object({
    workerType: z.string(),
    workerName: z.string(),
    workerInstance: z.string(),
    state: WorkerAvailabilityStatus,
    reason: z.string(),
    timestamp: z.string(),
});
//# sourceMappingURL=WorkerAvailability.js.map