import z from 'zod';
export const WorkerJob = z.object({
    recordId: z.string(),
    bucketName: z.string().optional(),
    filename: z.string().optional(),
    fileType: z.string().optional(),
    attributes: z.object({}).catchall(z.any()),
});
export const WorkerJobAck = z.object({
    recordId: z.string(),
    jobId: z.string(),
});
//# sourceMappingURL=WorkerJob.js.map